Qt 5.11 | Qt Quick | C++ Classes | RenderState

Qt 5.11.3 Reference Documentation

# RenderState Class

(QSGRenderNode::RenderState)

- List of all members, including inherited members

## Public Functions

virtual | ~RenderState()
virtual const QRegion * | clipRegion() const = 0
virtual void * | get(const char *state) const
virtual const QMatrix4x4 * | projectionMatrix() const = 0
virtual bool | scissorEnabled() const = 0
virtual QRect | scissorRect() const = 0
virtual bool | stencilEnabled() const = 0
virtual int | stencilValue() const = 0

## Member Function Documentation

### `[virtual]` RenderState::~RenderState()

Destroys the instance of RenderState. The destructor is virtual.

### `[pure virtual]` const QRegion *RenderState::clipRegion() const

### `[virtual]` void *RenderState::get(const char *state) const

Returns pointer to a state value.

Reserved for future use.

### `[pure virtual]` const QMatrix4x4 *RenderState::projectionMatrix() const

### `[pure virtual]` bool RenderState::scissorEnabled() const

### `[pure virtual]` QRect RenderState::scissorRect() const

### `[pure virtual]` bool RenderState::stencilEnabled() const

### `[pure virtual]` int RenderState::stencilValue() const